/*
 * Class EV_DRAWABLE_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_486 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_486 [] = {0xFF01,1551,485,0xFFFF};
static const EIF_TYPE_INDEX egt_2_486 [] = {0xFF01,485,0xFFFF};
static const EIF_TYPE_INDEX egt_3_486 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_486 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_486 [] = {0xFF01,485,0xFFFF};
static const EIF_TYPE_INDEX egt_6_486 [] = {0xFF01,485,0xFFFF};
static const EIF_TYPE_INDEX egt_7_486 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_486 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_486 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_486 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_486 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_486 [] = {0xFF01,485,0xFFFF};


static const struct desc_info desc_486[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_486), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_486), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_486), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_486), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_486), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_486), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_486), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_486), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_486), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_486), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_486), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_486), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x03CB /*485*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_486), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8185, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8186, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8187, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8188, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8189, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8190, 0xFFFFFFFF},
};
void Init486(void)
{
	IDSC(desc_486, 0, 485);
	IDSC(desc_486 + 1, 1, 485);
	IDSC(desc_486 + 32, 717, 485);
}


#ifdef __cplusplus
}
#endif
